function [errors] = classifier_rf(M, y, n) 

reset(RandStream.getDefaultStream());

% make y RF-compatible (0/1)
%y(find(y==min(y))) = 0;
%y(find(y==max(y))) = 1;

%% perform LOPOCV
errors = zeros(1,n);
for i = 1:n,
    ind_train = randsample(length(y), length(y), true);
    ind_test = 1:length(y);
    ind_test(unique(ind_train)) = [];
    
    % train and test
    %rf = TreeBagger(500,M(ind_train,:),y(ind_train),'Method', 'classification');
    rf = classRF_train(M(ind_train,:), y(ind_train), 500);
    %yhat = predict(rf,M(ind_test,:));
    [yhat, votes, prediction_per_tree] = classRF_predict(M(ind_test,:),rf);
    ygt = y(ind_test); % y ground truth
    %error = sum(ygt~=cellfun(@str2num,yhat))/length(ygt);
    error = sum(ygt~=yhat)/length(ygt);
    errors(i) = error;
    
    % confusion matrices per patient
    %ygt(ygt==min(ygt)) = 0;
    %ygt(ygt==max(ygt)) = 1;
    %predicted_labels(predicted_labels==min(predicted_labels)) = 0;
    %predicted_labels(predicted_labels==max(predicted_labels)) = 1;
    disp(ygt');
    disp(yhat');
    %[c,cm,ind,per] = confusion(ygt, predicted_labels');
    %disp(cm);
end;

