cd t:\private\desktop-dinfk-xp\matlab-uebung;
help imread;
I = imread('spot1.tif');
imshow(I);

normalize_histograms = true;
images2features('spot1.tif', 'spot1.svg', 'spot1.csv', 'hist_phog', normalize_histograms);

addpath('libsvm-3.1\matlab\');
M = dlmread('hist_phog.csv');
X = M(:,8:end);
Y = M(:,4);
[X, mu, sigma] = zscore(X); % scaling
SVM = svmtrain(Y, X);

svmtrain(Y, X, '-t 2 -v 10');
svmtrain(Y, X, '-t 0 -v 10');
svmtrain(Y, X, '-t 1 -v 10');
svmtrain(Y, X, '-t 1 -d 5 -v 10');
svmtrain(Y, X, '-t 3 -v 10');
acc = 1-mean(classifier_svm(X, Y, 10));

SVM = svmtrain(Y, X);
%RF = classRF_train(X, Y, 500);
images2features('spot2.tif', 'spot2.svg', 'spot2.csv', 'hist_phog', normalize_histograms);
N = dlmread('spot2.csv');
X_new = N(:,8:end);
X_new = scale(X_new, mu, sigma); % scaling to the training scale
Y_new = N(:,4);
[Yhnew, ~] = svmpredict(Y_new, X_new, SVM);
%[Y_hat_new, votes, prediction_per_tree] = classRF_predict(X_new, RF);
%acc_new = sum(Y_hat_new == Y_new)/length(Y_new);
visualize_prediction('spot2.tif', 'spot2.svg', Yhnew);

