nfold = 10;
ind_cv = repmat(1:nfold, 1, ceil(size(Y)/nfold));
ind_cv = ind_cv(1:size(Y));
accuracies = [];
for i=1:nfold
    ind_test = find(ind_cv==i);
    ind_train = find(ind_cv~=i);
    SVM = svmtrain(Y(ind_train), X(ind_train,:));
    [Y_hat, accuracy, decision_values] = svmpredict(Y(ind_test), X(ind_test,:), SVM);
    accuracies = [accuracies, accuracy(1)];
end;
s = sprintf('%f', mean(accuracies));
fprintf(strcat('Mean CV Accuracy=',s,'\n'))

